CREATE TABLE iby_iban_country_structure (
    IBAN_COUNTRY_STRUCTURE_ID       NUMBER        ,
    COUNTRY_CODE                    VARCHAR2(8)       NOT NULL,
    COUNTRY_CODE_POSITION           NUMBER(2, 0)      NOT NULL,
    COUNTRY_CODE_LENGTH             NUMBER(1, 0)      NOT NULL,
    IBAN_CHECK_DIGIT_POSITION       NUMBER(2, 0)      NOT NULL,
    IBAN_CHECK_DIGIT_LENGTH         NUMBER(2, 0)      NOT NULL,
    BANK_IDENTIFIER_POSITION        NUMBER(2, 0)  ,
    BANK_IDENTIFIER_LENGTH          NUMBER(2, 0)  ,
    BRANCH_IDENTIFIER_POSITION      NUMBER(2, 0)  ,
    BRANCH_IDENTIFIER_LENGTH        NUMBER(2, 0)  ,
    NATIONAL_ID_LENGTH              NUMBER(2, 0)  ,
    ACCOUNT_NUMBER_POSITION         NUMBER(2, 0)      NOT NULL,
    ACCOUNT_NUMBER_LENGTH           NUMBER(2, 0)      NOT NULL,
    ACCOUNT_CHECK_DIGIT_POSITION    NUMBER(2, 0)  ,
    ACCOUNT_CHECK_DIGIT_LENGTH      NUMBER(2, 0)  ,
    TOTAL_LENGTH                    NUMBER(2, 0)      NOT NULL,
    SEPA_COUNTRY_FLAG               VARCHAR2(4)   ,
    SEEDED_FLAG                     VARCHAR2(480)     NOT NULL,
    OPTIONAL_COMMENCE_DATE          DATE          ,
    MANDATORY_COMMENCE_DATE         DATE          ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE_CATEGORY              VARCHAR2(600) ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    START_DATE                      DATE              NOT NULL,
    END_DATE                        DATE          ,
    SEED_DATA_SOURCE                VARCHAR2(2048)    NOT NULL,
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    IBAN_COUNTRY_STRUCTURE_ID       NUMBER        ,
    COUNTRY_CODE                    VARCHAR2(8)       NOT NULL,
    COUNTRY_CODE_POSITION           NUMBER(2, 0)      NOT NULL,
    COUNTRY_CODE_LENGTH             NUMBER(1, 0)      NOT NULL,
    IBAN_CHECK_DIGIT_POSITION       NUMBER(2, 0)      NOT NULL,
    IBAN_CHECK_DIGIT_LENGTH         NUMBER(2, 0)      NOT NULL,
    BANK_IDENTIFIER_POSITION        NUMBER(2, 0)  ,
    BANK_IDENTIFIER_LENGTH          NUMBER(2, 0)  ,
    BRANCH_IDENTIFIER_POSITION      NUMBER(2, 0)  ,
    BRANCH_IDENTIFIER_LENGTH        NUMBER(2, 0)  ,
    NATIONAL_ID_LENGTH              NUMBER(2, 0)  ,
    ACCOUNT_NUMBER_POSITION         NUMBER(2, 0)      NOT NULL,
    ACCOUNT_NUMBER_LENGTH           NUMBER(2, 0)      NOT NULL,
    ACCOUNT_CHECK_DIGIT_POSITION    NUMBER(2, 0)  ,
    ACCOUNT_CHECK_DIGIT_LENGTH      NUMBER(2, 0)  ,
    TOTAL_LENGTH                    NUMBER(2, 0)      NOT NULL,
    SEPA_COUNTRY_FLAG               VARCHAR2(4)   ,
    SEEDED_FLAG                     VARCHAR2(480)     NOT NULL,
    OPTIONAL_COMMENCE_DATE          DATE          ,
    MANDATORY_COMMENCE_DATE         DATE          ,
    CREATED_BY                      VARCHAR2(256)     NOT NULL,
    CREATION_DATE                   TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                 VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    LAST_UPDATE_DATE                TIMESTAMP(6)      NOT NULL,
    OBJECT_VERSION_NUMBER           NUMBER(9, 0)      NOT NULL,
    ATTRIBUTE_CATEGORY              VARCHAR2(600) ,
    ATTRIBUTE1                      VARCHAR2(600) ,
    ATTRIBUTE2                      VARCHAR2(600) ,
    ATTRIBUTE3                      VARCHAR2(600) ,
    ATTRIBUTE4                      VARCHAR2(600) ,
    ATTRIBUTE5                      VARCHAR2(600) ,
    ATTRIBUTE6                      VARCHAR2(600) ,
    ATTRIBUTE7                      VARCHAR2(600) ,
    ATTRIBUTE8                      VARCHAR2(600) ,
    ATTRIBUTE9                      VARCHAR2(600) ,
    ATTRIBUTE10                     VARCHAR2(600) ,
    ATTRIBUTE11                     VARCHAR2(600) ,
    ATTRIBUTE12                     VARCHAR2(600) ,
    ATTRIBUTE13                     VARCHAR2(600) ,
    ATTRIBUTE14                     VARCHAR2(600) ,
    ATTRIBUTE15                     VARCHAR2(600) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    START_DATE                      DATE              NOT NULL,
    END_DATE                        DATE          ,
    SEED_DATA_SOURCE                VARCHAR2(2048)    NOT NULL,
    ORA_SEED_SET1                   VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                   VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_iby_iban_country_structure PRIMARY KEY (IBAN_COUNTRY_STRUCTURE_ID, IBAN_COUNTRY_STRUCTURE_ID)
);
